package cn.com.qmth.examcloud.exchange.outer.api.request;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import cn.com.qmth.examcloud.exchange.outer.api.bean.OuterExamStudentBean4Reset;

public class OuterResetExamStudentReq extends EnterpriseRequest {

	private static final long serialVersionUID = 3633974018347041831L;

	private Long rootOrgId;

	private Long examId;

	private String examCode;

	/**
	 * 学生姓名
	 */
	private String studentName;

	/**
	 * 学生学号
	 */
	private String studentCode;

	/**
	 * 学生身份证号
	 */
	private String identityNumber;

	private List<OuterExamStudentBean4Reset> examStudentList;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public List<OuterExamStudentBean4Reset> getExamStudentList() {
		return examStudentList;
	}

	public void setExamStudentList(List<OuterExamStudentBean4Reset> examStudentList) {
		this.examStudentList = examStudentList;
	}

}
